Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CommonHyphenation

    java.lang.Object
      org.apache.fop.fo.properties.CommonHyphenation

public final class CommonHyphenation
extends java.lang.Object

Store all common hyphenation properties. See Sec. 7.9 of the XSL-FO Standard. Public "structure" allows direct member access.

Field Summary
`StringProperty` | `country` The "country" property
`EnumProperty` | `hyphenate` The "hyphenate" property
`CharacterProperty` | `hyphenationCharacter` The "hyphenation-character" property
`NumberProperty` | `hyphenationPushCharacterCount` The "hyphenation-push-character-count" property
`NumberProperty` | `hyphenationRemainCharacterCount` The "hyphenation-remain-character-count" property
`StringProperty` | `language` The "language" property
`protected static org.apache.commons.logging.Log` | `log` Logger
`StringProperty` | `script` The "script" property

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`char` | `getHyphChar(Font font)` Returns the effective hyphenation character for a font.
`int` | `getHyphIPD(Font font)` Returns the IPD for the hyphenation character for a font.
`static CommonHyphenation` | `getInstance(PropertyList propertyList)` Gets the canonical `CommonHyphenation` instance corresponding to the values of the related properties present on the given `PropertyList`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Logger

### language

    public final StringProperty language

  The "language" property

### country

    public final StringProperty country

  The "country" property

### script

    public final StringProperty script

  The "script" property

### hyphenate

    public final EnumProperty hyphenate

  The "hyphenate" property

### hyphenationCharacter

    public final CharacterProperty hyphenationCharacter

  The "hyphenation-character" property

### hyphenationPushCharacterCount

    public final NumberProperty hyphenationPushCharacterCount

  The "hyphenation-push-character-count" property

### hyphenationRemainCharacterCount

    public final NumberProperty hyphenationRemainCharacterCount

  The "hyphenation-remain-character-count" property

Method Detail

### getInstance

    public static CommonHyphenation getInstance(PropertyList propertyList)
                                         throws PropertyException

  Gets the canonical `CommonHyphenation` instance corresponding to the values of the related properties present on the given `PropertyList`

  Parameters:
    `propertyList` - the `PropertyList`
  Throws:
    `PropertyException`

### getHyphChar

    public char getHyphChar(Font font)

  Returns the effective hyphenation character for a font. The hyphenation character specified in XSL-FO may be substituted if it's not available in the font.

  Parameters:
    `font` - the font
  Returns:
    the effective hyphenation character.

### getHyphIPD

    public int getHyphIPD(Font font)

  Returns the IPD for the hyphenation character for a font.

  Parameters:
    `font` - the font
  Returns:
    the IPD in millipoints for the hyphenation character.

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.